org.apache.xmlbeans.impl.tool

## Class SchemaCopy

- java.lang.Object
- - org.apache.xmlbeans.impl.tool.SchemaCopy

-     public class SchemaCopy
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchemaCopy()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Map<URI,URI>` | `findAllRelative(URI source, URI target)` Copies the schema or wsdl at the source URI to the target URI, along with any relative references.
    `static void` | `main(String[] args)`
    `static void` | `printUsage()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SchemaCopy

          public SchemaCopy()

  - ### Method Detail

    - #### printUsage

          public static void printUsage()

    - #### main

          public static void main(String[] args)

    - #### findAllRelative

          public static Map<URI,URI> findAllRelative(URI source,
                                                     URI target)

      Copies the schema or wsdl at the source URI to the target URI, along with any relative references. The target URI should be a file URI. If doCopy is false, the file copies are not actually done; the map returned just describes the copies that would have been done.
      Parameters:
        `source` - an arbitrary URI describing a source Schema or WSDL
        `target` - a file URI describing a target filename
      Returns:
        a map of all the source/target URIs needed to copy the file along with all its relative referents.